# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, ... }:

{
  ## Munin server -- generate /var/www/munin
  services.munin-cron = {
    enable = true;
    hosts = ''
      [${config.networking.hostName}]
        address localhost
    '';
    extraGlobalConfig = ''
      contact.email.command mail -s "Munin notification for ''${var:host}" hostmaster@prunetwork.fr
    '';
  };

  networking.firewall.allowedTCPPorts = [
    # TODO configurer les bon ports lors de l'ouverture du service
  ];

   ## Documentation
   # * https://nixos.org/wiki/Create_and_debug_nix_packages
   # * http://chriswarbo.net/essays/nixos/developing_on_nixos.html
}
